/**
 * generated by Xtext 2.15.0
 */
package org.sif.dsl.sat;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Start</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.sif.dsl.sat.Start#getChecks <em>Checks</em>}</li>
 * </ul>
 *
 * @see org.sif.dsl.sat.SatPackage#getStart()
 * @model
 * @generated
 */
public interface Start extends EObject
{
  /**
   * Returns the value of the '<em><b>Checks</b></em>' containment reference list.
   * The list contents are of type {@link org.sif.dsl.sat.Check}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Checks</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Checks</em>' containment reference list.
   * @see org.sif.dsl.sat.SatPackage#getStart_Checks()
   * @model containment="true"
   * @generated
   */
  EList<Check> getChecks();

} // Start
